/* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*- */
/* NetworkManager -- Network link manager
 *
 * Copyright (C) 2012 Avesh Agarwal <avagarwa@redhat.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * (C) Copyright 2005 - 2008 Red Hat, Inc.
 * (C) Copyright 2007 - 2008 Novell, Inc.
 */

#ifndef IMPORT_FILE_H
#define IMPORT_FILE_H

#include <glib.h>

typedef struct importEntry importEntry;

struct importEntry {
	char *key;
	char *value;
	gboolean read_only;
};

GHashTable  *import_file_load        (const char *fname);
importEntry    *import_file_lookup      (GHashTable *import_file,
                                   const char *group,
                                   const char *key);

gboolean import_file_lookup_string (GHashTable *import_file,
                                 const char *group,
                                 const char *key,
                                 const char **value);

gboolean import_file_lookup_bool (GHashTable *import_file,
                               const char *group,
                               const char *key,
                               gboolean *value);

gboolean import_file_lookup_int (GHashTable *import_file,
                              const char *group,
                              const char *key,
                              gint *value);

#endif /* IMPORT_FILE_H */

